'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
function setBasicQueries(schema) {
    schema.query.byUser = function (user) {
        if (user)
            this.where("userId").eq(user._id);
        return this;
    };
    return schema;
}
exports.setBasicQueries = setBasicQueries;
//export var TicketSchema;
function queryBuilder(model) {
    return model.find();
}
exports.queryBuilder = queryBuilder;
